Skip to main content
POST
/
groups
/
proposals
/
{proposalId}
/
signatures
cURL
curl --request POST \
  --url https://api.onchainden.com/api/v1/groups/proposals/{proposalId}/signatures \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency-Key: <x-idempotency-key>' \
  --data '
{
  "type": "approve",
  "signature": "<string>",
  "execute": false
}
'
{
  "data": {
    "id": "prop_grp_create_123",
    "resourceType": "groups",
    "action": "create",
    "signatureStatus": "approvalReady",
    "executionStatus": "completed",
    "threshold": 2,
    "approvals": [],
    "rejections": [],
    "createdAt": "2026-01-18T00:00:00.000Z",
    "expiresAt": "2026-01-25T00:00:00.000Z",
    "data": {
      "items": [
        {
          "name": "Finance Team",
          "memberIds": [
            "mem_1",
            "mem_2"
          ]
        }
      ]
    },
    "result": {
      "resolution": "approved",
      "resources": [
        {
          "type": "group",
          "id": "grp_new1",
          "uri": "/api/v1/groups/grp_new1"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Headers

X-Idempotency-Key
string<uuid>
required

Idempotency key for safely retrying mutation requests.

Path Parameters

proposalId
string
required

Proposal ID

Body

application/json
type
enum<string>
required

Type of signature for organization operations

Available options:
approve,
reject
signature
string
required

The cryptographic signature

execute
boolean
default:false

Whether to execute immediately if threshold is met

Response

Group proposal signed

data
Groups Create · object
required
Example:
{
"id": "prop_grp_create_123",
"resourceType": "groups",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Finance Team",
"memberIds": ["mem_1", "mem_2"]
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "group",
"id": "grp_new1",
"uri": "/api/v1/groups/grp_new1"
}
]
}
}